import { Plugin } from "@webiny/plugins";
import { SearchBody } from "elastic-ts";
export interface ModifyBodyParams {
    body: SearchBody;
}
export interface ModifyBodyCallable<T extends ModifyBodyParams> {
    (params: T): void;
}
export declare abstract class ElasticsearchBodyModifierPlugin<T extends ModifyBodyParams = ModifyBodyParams> extends Plugin {
    private readonly callable?;
    constructor(callable?: ModifyBodyCallable<T>);
    modifyBody(params: T): void;
}
