"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorGreaterThanOrEqualToPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorGreaterThanOrEqualToPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.greaterThanOrEqualTo.default";
  getOperator() {
    return "gte";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    query.filter.push({
      range: {
        [basePath]: {
          gte: value
        }
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorGreaterThanOrEqualToPlugin = ElasticsearchQueryBuilderOperatorGreaterThanOrEqualToPlugin;

//# sourceMappingURL=gte.js.map