import { IReason } from "./IReason";
export interface IProcessorReasonParams {
    maximum: number;
    current: number;
    description?: string;
}
export declare class ProcessorReason implements IReason {
    readonly name = "processor";
    readonly maximum: number;
    readonly current: number;
    readonly description?: string;
    constructor(params: IProcessorReasonParams);
}
export declare const createProcessorReason: (params: IProcessorReasonParams) => ProcessorReason;
